<template>
  <div>
    <b-carousel
      controls
      indicators 
      v-model="slide"
      :interval="3500"
      @sliding-end="endSlide"
      @sliding-start="initCarousel"
      style="margin-top:20px;">

        <b-carousel-slide>
        <template v-slot:img>
          <app-before></app-before>
        </template>
      </b-carousel-slide>

          <b-carousel-slide>
        <template v-slot:img>
          <app-image></app-image>
        </template>
      </b-carousel-slide>

      <b-carousel-slide>
        <template v-slot:img>
          <app-after></app-after>
        </template>
      </b-carousel-slide>

    </b-carousel>
  </div>

</template>

<script>


  import Prev from './components/Prev.vue'
  import Image from './components/Image.vue'
  import After from './components/After.vue'


  export default {
    name: 'ImgCarousel',

      components: {
        'app-before': Prev,
        'app-image' : Image,
        'app-after' : After,
  
    },

    data() {
      return {
        slide: 0,
        sliding: null
      }
    },
    methods: {
      initCarousel() {
        this.sliding = true
      },
      endSlide() {
        this.sliding = false
      }
    }
  }
</script>